package cn.axzo.msg.center.inside.notices.service.umeng.android;


import cn.axzo.msg.center.inside.notices.service.umeng.AndroidNotification;

public class AndroidCustomizedcast extends AndroidNotification {

  public AndroidCustomizedcast(String appkey, String CmpAndroidSecret) throws Exception {
    setCmpAndroidSecret(CmpAndroidSecret);
    setPredefinedKeyValue("appkey", appkey);
    this.setPredefinedKeyValue("type", "customizedcast");
  }

  public void setAlias(String alias, String aliasType) throws Exception {
    setPredefinedKeyValue("alias", alias);
    setPredefinedKeyValue("alias_type", aliasType);
  }

  public void setFileId(String fileId, String aliasType) throws Exception {
    setPredefinedKeyValue("file_id", fileId);
    setPredefinedKeyValue("alias_type", aliasType);
  }

}
